<%@ Page language="c#" Codebehind="register.aspx.cs" AutoEventWireup="false" EnableViewState="false" Inherits="Discuz.ForumPage.register" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="Discuz.Common" %>
<%@ Import namespace="Discuz.Forum" %>
<%@ Import namespace="Discuz.Entity" %>

<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by Discuz!NT Template Engine at 2007-11-15 11:15:51.
		本页面代码由Discuz!NT模板引擎生成于 2007-11-15 11:15:51. 
	*/

	base.OnInit(e);


	templateBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	templateBuilder.Append("<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n");
	templateBuilder.Append("<head>\r\n");
	templateBuilder.Append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n");
	templateBuilder.Append("" + meta.ToString() + "\r\n");
	templateBuilder.Append("<title>" + pagetitle.ToString() + " " + config.Seotitle.ToString().Trim() + " - " + config.Forumtitle.ToString().Trim() + " - Powered by Discuz!NT</title>\r\n");
	templateBuilder.Append("<link rel=\"icon\" href=\"favicon.ico\" type=\"image/x-icon\" />\r\n");
	templateBuilder.Append("<link rel=\"shortcut icon\" href=\"favicon.ico\" type=\"image/x-icon\" />\r\n");
	templateBuilder.Append("<!-- 调用样式表 -->\r\n");
	templateBuilder.Append("<link rel=\"stylesheet\" href=\"templates/" + templatepath.ToString() + "/dnt.css\" type=\"text/css\" media=\"all\"  />\r\n");
	templateBuilder.Append("" + link.ToString() + "\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"templates/" + templatepath.ToString() + "/report.js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"templates/" + templatepath.ToString() + "/common.js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"editor/common.js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"editor/menu.js\"></" + "script>\r\n");
	templateBuilder.Append("" + script.ToString() + "\r\n");
	templateBuilder.Append("</head>\r\n");


	templateBuilder.Append("<body>\r\n");
	templateBuilder.Append("<div id=\"append_parent\"></div>\r\n");
	templateBuilder.Append("<!--header start-->\r\n");
	templateBuilder.Append("<div id=\"headerbody\">\r\n");
	templateBuilder.Append("<div id=\"nthead\">\r\n");
	templateBuilder.Append("<div id=\"header\">\r\n");
	templateBuilder.Append("		<h2><a href=\"" + config.Forumurl.ToString().Trim() + "\" title=\"Discuz!NT|BBS|论坛 - Powered by Discuz!NT\"><img src=\"templates/" + templatepath.ToString() + "/images/logo.jpg\" alt=\"Discuz! Board NT|BBS|论坛\"/></a>\r\n");
	templateBuilder.Append("		</h2>\r\n");

	if (pagename=="forumindex.aspx")
	{

	templateBuilder.Append("	<ul id=\"iconmenu\">\r\n");

	if (config.Enablespace==1 || config.Enablealbum==1)
	{

	templateBuilder.Append("		<li>\r\n");
	templateBuilder.Append("					<a href=\"" + config.Forumurl.ToString().Trim() + "\"><img src=\"templates/" + templatepath.ToString() + "/images/Headforum.jpg\" alt=\"论坛\"/></a>\r\n");
	templateBuilder.Append("			<h3><a href=\"" + config.Forumurl.ToString().Trim() + "\">论坛</a></h3>\r\n");
	templateBuilder.Append("		</li>\r\n");

	}	//end if


	if (config.Enablespace==1)
	{

	templateBuilder.Append("				<li>\r\n");
	templateBuilder.Append("					<a href=\"" + config.Spaceurl.ToString().Trim() + "\"><img src=\"templates/" + templatepath.ToString() + "/images/headspace.jpg\"  alt=\"个人空间\"/></a>\r\n");
	templateBuilder.Append("			<h3><a href=\"" + config.Spaceurl.ToString().Trim() + "\">" + config.Spacename.ToString().Trim() + "</a></h3>\r\n");
	templateBuilder.Append("		</li>\r\n");

	}	//end if


	if (config.Enablealbum==1)
	{

	templateBuilder.Append("				<li>\r\n");
	templateBuilder.Append("			<a href=\"" + config.Albumurl.ToString().Trim() + "\"><img src=\"templates/" + templatepath.ToString() + "/images/headphoto.jpg\" alt=\"相册\"/></a>\r\n");
	templateBuilder.Append("			<h3><a href=\"" + config.Albumurl.ToString().Trim() + "\">" + config.Albumname.ToString().Trim() + "</a></h3>\r\n");
	templateBuilder.Append("		</li>\r\n");

	}	//end if

	templateBuilder.Append("	</ul>\r\n");

	}	//end if

	templateBuilder.Append("	<p id=\"topmenu\">\r\n");

	if (userid==-1)
	{

	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "login.aspx\" class=\"reg\">登录</a>\r\n");
	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "register.aspx\" class=\"reg\">注册</a>\r\n");

	}
	else
	{

	templateBuilder.Append("			欢迎: " + username.ToString() + "&nbsp;\r\n");
	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "logout.aspx?userkey=" + userkey.ToString() + "\" class=\"reg\">退出</a>\r\n");
	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "usercp.aspx\" class=\"reg\">用户中心</a>\r\n");

	if (useradminid==1)
	{

	templateBuilder.Append("				<a href=\"" + forumurl.ToString() + "admin/index.aspx\" target=\"_blank\"  class=\"reg\">系统设置</a>\r\n");

	}	//end if


	}	//end if


	if (pagename!="forumindex.aspx")
	{


	if (config.Enablespace==1 || config.Enablealbum==1)
	{

	templateBuilder.Append("			<a href=\"" + config.Forumurl.ToString().Trim() + "\">论坛</a>\r\n");

	}	//end if


	if (config.Enablespace==1)
	{

	templateBuilder.Append("			<a href=\"" + config.Spaceurl.ToString().Trim() + "\">" + config.Spacename.ToString().Trim() + "</a>\r\n");

	}	//end if


	if (config.Enablealbum==1)
	{

	templateBuilder.Append("			<a href=\"" + config.Albumurl.ToString().Trim() + "\">" + config.Albumname.ToString().Trim() + "</a>\r\n");

	}	//end if


	}	//end if


	if (usergroupinfo.Allowsearch>0)
	{

	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "search.aspx\">搜索</a>\r\n");

	}	//end if

	templateBuilder.Append("		<a href=\"" + forumurl.ToString() + "help.aspx\" target=\"_blank\">帮助</a>	\r\n");
	templateBuilder.Append("	</p>\r\n");

	if (headerad!="")
	{

	templateBuilder.Append("		<div id=\"ad\">" + headerad.ToString() + "</div>\r\n");

	}	//end if

	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("	<div id=\"menubar\">\r\n");
	templateBuilder.Append("		<div class=\"selectmode\">\r\n");
	templateBuilder.Append("		<script type=\"text/javascript\">\r\n");
	templateBuilder.Append("			if(top == self) {\r\n");
	templateBuilder.Append("				document.write('<a href=\"frame.aspx?f=1\" target=\"_top\">分栏模式<\\/a>');\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("		</" + "script>\r\n");
	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("		<ul id=\"navigation\">\r\n");

	if (userid!=-1)
	{

	templateBuilder.Append("			<li><a href=\"" + forumurl.ToString() + "usercpinbox.aspx\">短消息</a></li>\r\n");

	}	//end if

	templateBuilder.Append("			<li><a href=\"" + forumurl.ToString() + "showuser.aspx\">会员</a></li>\r\n");

	if (userid!=-1)
	{

	templateBuilder.Append("			<li id=\"my\" onMouseOver=\"showMenu(this.id);\" onMouseOut=\"showMenu(this.id);\"><a href=\"###\" class=\"mycontent\">我的</a></li>\r\n");

	}	//end if

	templateBuilder.Append("			<li><a href=\"" + forumurl.ToString() + "showtemplate.aspx\">界面</a></li>\r\n");
	templateBuilder.Append("			<li><a href=\"" + forumurl.ToString() + "archiver/index.aspx\">简洁版本</a></li>\r\n");
	templateBuilder.Append("			<li class=\"noground\"><a href=\"" + forumurl.ToString() + "onlineuser.aspx\">在线</a></li>\r\n");
	templateBuilder.Append("		</ul>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div id=\"container\">\r\n");
	templateBuilder.Append("<div id=\"wraper\">\r\n");


	templateBuilder.Append("<!--TheCurrent start-->\r\n");
	templateBuilder.Append("<div id=\"foruminfo\">\r\n");
	templateBuilder.Append("	<div class=\"userinfo\">\r\n");
	templateBuilder.Append("		<h2><a href=\"" + config.Forumurl.ToString().Trim() + "\">" + config.Forumtitle.ToString().Trim() + "</a> <strong>用户注册</strong></h2>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<!--TheCurrent end-->\r\n");
	templateBuilder.Append("<!--reg start-->\r\n");

	if (agree=="")
	{


	if (page_err==0)
	{


	if (config.Rules==1)
	{

	templateBuilder.Append("			<form id=\"form1\" name=\"form1\" method=\"post\" action=\"?agree=1\">\r\n");
	templateBuilder.Append("			<div class=\"ntforumbox\">\r\n");
	templateBuilder.Append("				<div class=\"titlebar\">\r\n");
	templateBuilder.Append("					<h3>用户注册协议</h3>\r\n");
	templateBuilder.Append("				</div>\r\n");
	templateBuilder.Append("				<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\r\n");
	templateBuilder.Append("					<tbody>\r\n");
	templateBuilder.Append("					<tr class=\"list\">\r\n");
	templateBuilder.Append("						<td>\r\n");
	templateBuilder.Append("						<textarea name=\"textarea\" cols=\"\" rows=\"\" readonly=\"readonly\" class=\"colorblue\" style=\"width:700px;height:320px;margin:10px 0;\">" + config.Rulestxt.ToString().Trim() + "</textarea>\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("					</tr>\r\n");
	templateBuilder.Append("					</tbody>\r\n");
	templateBuilder.Append("					<tbody>\r\n");
	templateBuilder.Append("					<tr class=\"list\">\r\n");
	templateBuilder.Append("						<td  style=\"padding:2px;\">\r\n");
	templateBuilder.Append("					  <input name=\"agree\" disabled=\"disabled\" type=\"submit\" id=\"agree\" value=\"我同意\" class=\"sbutton\" />\r\n");
	templateBuilder.Append("					  &nbsp;&nbsp;\r\n");
	templateBuilder.Append("					  <input name=\"cancel\" type=\"button\" id=\"cancel\" value=\"不同意\" onClick=\"javascript:location.replace('index.aspx')\" class=\"sbutton\" />\r\n");
	templateBuilder.Append("						<script type=\"text/javascript\">\r\n");
	templateBuilder.Append("						var secs = 5;\r\n");
	templateBuilder.Append("						var wait = secs * 1000;\r\n");
	templateBuilder.Append("						document.getElementById(\"agree\").value = \"同 意(\" + secs + \")\";\r\n");
	templateBuilder.Append("						document.getElementById(\"agree\").disabled = true;\r\n");
	templateBuilder.Append("						for(i = 1; i <= secs; i++) {\r\n");
	templateBuilder.Append("								window.setTimeout(\"update(\" + i + \")\", i * 1000);\r\n");
	templateBuilder.Append("						}\r\n");
	templateBuilder.Append("						window.setTimeout(\"timer()\", wait);\r\n");
	templateBuilder.Append("						function update(num, value) {\r\n");
	templateBuilder.Append("								if(num == (wait/1000)) {\r\n");
	templateBuilder.Append("										document.getElementById(\"agree\").value = \"同 意\";\r\n");
	templateBuilder.Append("								} else {\r\n");
	templateBuilder.Append("										printnr = (wait / 1000) - num;\r\n");
	templateBuilder.Append("										document.getElementById(\"agree\").value = \"同 意(\" + printnr + \")\";\r\n");
	templateBuilder.Append("								}\r\n");
	templateBuilder.Append("						}\r\n");
	templateBuilder.Append("						function timer() {\r\n");
	templateBuilder.Append("								document.getElementById(\"agree\").disabled = false;\r\n");
	templateBuilder.Append("								document.getElementById(\"agree\").value = \"同 意\";\r\n");
	templateBuilder.Append("						}\r\n");
	templateBuilder.Append("						</" + "script>\r\n");
	templateBuilder.Append("						 </td>\r\n");
	templateBuilder.Append("					 </tr>\r\n");
	templateBuilder.Append("					 </tbody>\r\n");
	templateBuilder.Append("					 </table>\r\n");
	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("				</form>\r\n");


	if (footerad!="")
	{

	templateBuilder.Append("<!--底部广告显示-->\r\n");
	templateBuilder.Append("<div id=\"bottomad\">" + footerad.ToString() + "</div>\r\n");
	templateBuilder.Append("<!--底部广告结束-->\r\n");

	}	//end if

	templateBuilder.Append("<div id=\"forumfooter\">\r\n");
	templateBuilder.Append("	<div class=\"footercopy\">\r\n");
	templateBuilder.Append("	 	<p>\r\n");
	templateBuilder.Append("			版权所有 <a href=\"" + config.Weburl.ToString().Trim() + "\" target=\"_blank\">" + config.Webtitle.ToString().Trim() + "</a>&nbsp; " + config.Linktext.ToString().Trim() + "\r\n");

	if (config.Sitemapstatus==1)
	{

	templateBuilder.Append("&nbsp;<a href=\"tools/sitemap.aspx\" target=\"_blank\" title=\"百度论坛收录协议\">Sitemap</a>\r\n");

	}	//end if

	templateBuilder.Append("		</p>\r\n");
	templateBuilder.Append("		<span>Powered by <a href=\"http://nt.discuz.net\" target=\"_blank\" title=\"Discuz!NT 2.0 (.net Framework 1.1)\"><em>Discuz!NT</em></a>&nbsp;<em>2.0.1115 \r\n");

	if (config.Licensed==1)
	{

	templateBuilder.Append("				(<a href=\"\" onclick=\"this.href='http://nt.discuz.net/certificate/?host='+location.href.substring(0, location.href.lastIndexOf('/'))\" target=\"_blank\">Licensed</a>)\r\n");

	}	//end if

	templateBuilder.Append("				&nbsp;&nbsp; " + config.Forumcopyright.ToString().Trim() + "</em>\r\n");

	if (config.Debug!=0)
	{

	templateBuilder.Append("<br/>\r\n");
	templateBuilder.Append("				Processed in " + this.Processtime.ToString().Trim() + " second(s)\r\n");

	if (isguestcachepage==1)
	{

	templateBuilder.Append("						(Cached).\r\n");

	}
	else if (querycount>1)
	{

	templateBuilder.Append("				        , " + querycount.ToString() + " queries.\r\n");

	}
	else
	{

	templateBuilder.Append("				        , " + querycount.ToString() + " query.\r\n");

	}	//end if


	}	//end if

	templateBuilder.Append("				" + config.Icp.ToString().Trim() + "\r\n");
	templateBuilder.Append("		 </span>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"footergoto\">\r\n");
	templateBuilder.Append("		<span><img src=\"templates/" + templatepath.ToString() + "/images/gototop2.gif\" alt=\"返顶部\" onclick=\"window.scrollTo(0,0)\" /></span>\r\n");

	if (config.Stylejump==1)
	{


	if (userid!=-1 || config.Guestcachepagetimeout<=0)
	{

	templateBuilder.Append("		<select onchange=\"if(this.options[this.selectedIndex].value != '') {window.location=('showtemplate.aspx?templateid='+this.options[this.selectedIndex].value) }\">\r\n");
	templateBuilder.Append("			<option selected>切换界面...</option>\r\n");
	templateBuilder.Append("			" + templatelistboxoptions.ToString() + "\r\n");
	templateBuilder.Append("		</select>\r\n");

	}	//end if


	}	//end if

	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div id=\"my_menu\" class=\"ntdropmenu\" style=\"display: none;\">\r\n");
	templateBuilder.Append("		<a href=\"mytopics.aspx\">我的主题</a>\r\n");
	templateBuilder.Append("		<a href=\"myposts.aspx\">我的帖子</a>\r\n");
	templateBuilder.Append("		<a href=\"search.aspx?posterid=" + userid.ToString() + "&amp;type=digest\">我的精华</a>\r\n");

	if (config.Enablespace==1)
	{

	templateBuilder.Append("		<a href=\"" + spaceurl.ToString() + "space/\">我的空间</a>\r\n");

	}	//end if


	if (config.Enablealbum==1)
	{

	templateBuilder.Append("		<a href=\"showalbumlist.aspx?uid=" + userid.ToString() + "\">我的相册</a>\r\n");

	}	//end if

	templateBuilder.Append("		<script type=\"text/javascript\" src=\"javascript/mymenu.js\"></" + "script>\r\n");
	templateBuilder.Append("</div>\r\n");



	}
	else
	{

	templateBuilder.Append("		<script type=\"text/javascript\">\r\n");
	templateBuilder.Append("		location.replace('register.aspx?agree=yes')\r\n");
	templateBuilder.Append("		</" + "script>\r\n");

	}	//end if


	}
	else
	{


	templateBuilder.Append("<div class=\"ntforumbox\">\r\n");
	templateBuilder.Append("	<div class=\"titlebar\">\r\n");
	templateBuilder.Append("		<h3>出现了" + page_err.ToString() + "个错误</h3>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"forumerror\">\r\n");
	templateBuilder.Append("				" + msgbox_text.ToString() + "\r\n");
	templateBuilder.Append("				<p class=\"errorback\">\r\n");
	templateBuilder.Append("						<script language=\"javascript\">\r\n");
	templateBuilder.Append("							if(" + msgbox_showbacklink.ToString() + ")\r\n");
	templateBuilder.Append("							{\r\n");
	templateBuilder.Append("								document.write(\"<a href=\\\"" + msgbox_backlink.ToString() + "\\\">返回上一步</a> &nbsp; &nbsp;|&nbsp; &nbsp  \");\r\n");
	templateBuilder.Append("							}\r\n");
	templateBuilder.Append("						</" + "script>\r\n");
	templateBuilder.Append("						<a href=\"forumindex.aspx\">论坛首页</a>\r\n");

	if (usergroupid==7)
	{

	templateBuilder.Append("						 &nbsp; &nbsp|&nbsp; &nbsp; <a href=\"register.aspx\">注册</a>\r\n");

	}	//end if

	templateBuilder.Append("				</p>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");



	}	//end if


	}
	else
	{


	if (createuser=="")
	{

	templateBuilder.Append("<form id=\"form1\" name=\"form1\" method=\"post\" action=\"?agree=1&createuser=1\">\r\n");
	templateBuilder.Append("<div class=\"ntforumbox\">\r\n");
	templateBuilder.Append("	<div class=\"titlebar\">\r\n");
	templateBuilder.Append("		<h3>填写注册信息</h3>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"forumform\">\r\n");
	templateBuilder.Append("	<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\r\n");
	templateBuilder.Append("	<thead>\r\n");
	templateBuilder.Append("		<tr>\r\n");
	templateBuilder.Append("			<td class=\"navformcommend\"  colspan=\"2\">必填</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("	</thead>\r\n");
	templateBuilder.Append("	<tbody>\r\n");
	templateBuilder.Append("	<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">用户名:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\"><input name=\"username\" type=\"text\" id=\"username\" maxlength=\"20\" size=\"20\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';checkusername(this.value);\" /><span id=\"checkresult\">不超过20个字符</span>\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("	</tr>\r\n");
	templateBuilder.Append("	</tbody>\r\n");
	templateBuilder.Append("	<tbody>\r\n");
	templateBuilder.Append("	<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">密码:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\"><input name=\"password\" type=\"password\" id=\"password\" size=\"20\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" onkeyup=\"return loadinputcontext(this);\" /><span>不得少于6个字符</span></td>\r\n");
	templateBuilder.Append("	</tr>\r\n");
	templateBuilder.Append("	</tbody>\r\n");
	templateBuilder.Append("	<tbody>\r\n");
	templateBuilder.Append("	<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">密码强度:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("<script type=\"text/javascript\">\r\n");
	templateBuilder.Append("        var PasswordStrength ={\r\n");
	templateBuilder.Append("            Level : [\"极佳\",\"一般\",\"较弱\",\"太短\"],\r\n");
	templateBuilder.Append("            LevelValue : [15,10,5,0],//强度值\r\n");
	templateBuilder.Append("            Factor : [1,2,5],//字符加数,分别为字母，数字，其它\r\n");
	templateBuilder.Append("            KindFactor : [0,0,10,20],//密码含几种组成的加数 \r\n");
	templateBuilder.Append("            Regex : [/[a-zA-Z]/g,/\\d/g,/[^a-zA-Z0-9]/g] //字符正则数字正则其它正则\r\n");
	templateBuilder.Append("            }\r\n");
	templateBuilder.Append("        PasswordStrength.StrengthValue = function(pwd)\r\n");
	templateBuilder.Append("        {\r\n");
	templateBuilder.Append("            var strengthValue = 0;\r\n");
	templateBuilder.Append("            var ComposedKind = 0;\r\n");
	templateBuilder.Append("            for(var i = 0 ; i < this.Regex.length;i++)\r\n");
	templateBuilder.Append("            {\r\n");
	templateBuilder.Append("                var chars = pwd.match(this.Regex[i]);\r\n");
	templateBuilder.Append("                if(chars != null)\r\n");
	templateBuilder.Append("                {\r\n");
	templateBuilder.Append("                    strengthValue += chars.length * this.Factor[i];\r\n");
	templateBuilder.Append("                    ComposedKind ++;\r\n");
	templateBuilder.Append("                }\r\n");
	templateBuilder.Append("            }\r\n");
	templateBuilder.Append("            strengthValue += this.KindFactor[ComposedKind];\r\n");
	templateBuilder.Append("            return strengthValue;\r\n");
	templateBuilder.Append("        } \r\n");
	templateBuilder.Append("        PasswordStrength.StrengthLevel = function(pwd)\r\n");
	templateBuilder.Append("        {\r\n");
	templateBuilder.Append("            var value = this.StrengthValue(pwd);\r\n");
	templateBuilder.Append("            for(var i = 0 ; i < this.LevelValue.length ; i ++)\r\n");
	templateBuilder.Append("            {\r\n");
	templateBuilder.Append("                if(value >= this.LevelValue[i] )\r\n");
	templateBuilder.Append("                    return this.Level[i];\r\n");
	templateBuilder.Append("            }\r\n");
	templateBuilder.Append("        }\r\n");
	templateBuilder.Append("		function loadinputcontext(o)\r\n");
	templateBuilder.Append("		{\r\n");
	templateBuilder.Append("		   var showmsg=PasswordStrength.StrengthLevel(o.value);\r\n");
	templateBuilder.Append("		   switch(showmsg)\r\n");
	templateBuilder.Append("		   {\r\n");
	templateBuilder.Append("			  case \"太短\": showmsg+=\" <img src='images/level/1.gif' width='88' height='11' />\";break;\r\n");
	templateBuilder.Append("			  case \"较弱\": showmsg+=\" <img src='images/level/2.gif' width='88' height='11' />\";break;\r\n");
	templateBuilder.Append("			  case \"一般\": showmsg+=\" <img src='images/level/3.gif' width='88' height='11' />\";break;\r\n");
	templateBuilder.Append("			  case \"极佳\": showmsg+=\" <img src='images/level/4.gif' width='88' height='11' />\";break;\r\n");
	templateBuilder.Append("		   }\r\n");
	templateBuilder.Append("		   document.getElementById('showmsg').innerHTML = showmsg;\r\n");
	templateBuilder.Append("		}\r\n");
	templateBuilder.Append("		function htmlEncode(source, display, tabs)\r\n");
	templateBuilder.Append("		{\r\n");
	templateBuilder.Append("			function special(source)\r\n");
	templateBuilder.Append("			{\r\n");
	templateBuilder.Append("				var result = '';\r\n");
	templateBuilder.Append("				for (var i = 0; i < source.length; i++)\r\n");
	templateBuilder.Append("				{\r\n");
	templateBuilder.Append("					var c = source.charAt(i);\r\n");
	templateBuilder.Append("					if (c < ' ' || c > '~')\r\n");
	templateBuilder.Append("					{\r\n");
	templateBuilder.Append("						c = '&#' + c.charCodeAt() + ';';\r\n");
	templateBuilder.Append("					}\r\n");
	templateBuilder.Append("					result += c;\r\n");
	templateBuilder.Append("				}\r\n");
	templateBuilder.Append("				return result;\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("			function format(source)\r\n");
	templateBuilder.Append("			{\r\n");
	templateBuilder.Append("				// Use only integer part of tabs, and default to 4\r\n");
	templateBuilder.Append("				tabs = (tabs >= 0) ? Math.floor(tabs) : 4;\r\n");
	templateBuilder.Append("				// split along line breaks\r\n");
	templateBuilder.Append("				var lines = source.split(/\\r\\n|\\r|\\n/);\r\n");
	templateBuilder.Append("				// expand tabs\r\n");
	templateBuilder.Append("				for (var i = 0; i < lines.length; i++)\r\n");
	templateBuilder.Append("				{\r\n");
	templateBuilder.Append("					var line = lines[i];\r\n");
	templateBuilder.Append("					var newLine = '';\r\n");
	templateBuilder.Append("					for (var p = 0; p < line.length; p++)\r\n");
	templateBuilder.Append("					{\r\n");
	templateBuilder.Append("						var c = line.charAt(p);\r\n");
	templateBuilder.Append("						if (c === '\\t')\r\n");
	templateBuilder.Append("						{\r\n");
	templateBuilder.Append("							var spaces = tabs - (newLine.length % tabs);\r\n");
	templateBuilder.Append("							for (var s = 0; s < spaces; s++)\r\n");
	templateBuilder.Append("							{\r\n");
	templateBuilder.Append("								newLine += ' ';\r\n");
	templateBuilder.Append("							}\r\n");
	templateBuilder.Append("						}\r\n");
	templateBuilder.Append("						else\r\n");
	templateBuilder.Append("						{\r\n");
	templateBuilder.Append("							newLine += c;\r\n");
	templateBuilder.Append("						}\r\n");
	templateBuilder.Append("					}\r\n");
	templateBuilder.Append("					// If a line starts or ends with a space, it evaporates in html\r\n");
	templateBuilder.Append("					// unless it's an nbsp.\r\n");
	templateBuilder.Append("					newLine = newLine.replace(/(^ )|( $)/g, '&nbsp;');\r\n");
	templateBuilder.Append("					lines[i] = newLine;\r\n");
	templateBuilder.Append("				}\r\n");
	templateBuilder.Append("				// re-join lines\r\n");
	templateBuilder.Append("				var result = lines.join('<br />');\r\n");
	templateBuilder.Append("				// break up contiguous blocks of spaces with non-breaking spaces\r\n");
	templateBuilder.Append("				result = result.replace(/  /g, ' &nbsp;');\r\n");
	templateBuilder.Append("				// tada!\r\n");
	templateBuilder.Append("				return result;\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("			var result = source;\r\n");
	templateBuilder.Append("			// ampersands (&)\r\n");
	templateBuilder.Append("			result = result.replace(/\\&/g,'&amp;');\r\n");
	templateBuilder.Append("			// less-thans (<)\r\n");
	templateBuilder.Append("			result = result.replace(/\\</g,'&lt;');\r\n");
	templateBuilder.Append("			// greater-thans (>)\r\n");
	templateBuilder.Append("			result = result.replace(/\\>/g,'&gt;');\r\n");
	templateBuilder.Append("			if (display)\r\n");
	templateBuilder.Append("			{\r\n");
	templateBuilder.Append("				// format for display\r\n");
	templateBuilder.Append("				result = format(result);\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("			else\r\n");
	templateBuilder.Append("			{\r\n");
	templateBuilder.Append("				// Replace quotes if it isn't for display,\r\n");
	templateBuilder.Append("				// since it's probably going in an html attribute.\r\n");
	templateBuilder.Append("				result = result.replace(new RegExp('\"','g'), '&quot;');\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("			// special characters\r\n");
	templateBuilder.Append("			result = special(result);\r\n");
	templateBuilder.Append("			// tada!\r\n");
	templateBuilder.Append("			return result;\r\n");
	templateBuilder.Append("		}\r\n");
	templateBuilder.Append("		var profile_username_toolong = '对不起，您的用户名超过 20 个字符，请输入一个较短的用户名。';\r\n");
	templateBuilder.Append("		var profile_username_tooshort = '对不起，您输入的用户名小于3个字符, 请输入一个较长的用户名。';\r\n");
	templateBuilder.Append("		var profile_username_pass = \"可用\";\r\n");
	templateBuilder.Append("		function checkusername(username)\r\n");
	templateBuilder.Append("		{\r\n");
	templateBuilder.Append("			var unlen = username.replace(/[^\\x00-\\xff]/g, \"**\").length;\r\n");
	templateBuilder.Append("			if(unlen < 3 || unlen > 20) {\r\n");
	templateBuilder.Append("				document.getElementById(\"checkresult\").innerHTML = \"<font color='#009900'>\" + (unlen < 3 ? profile_username_tooshort : profile_username_toolong) + \"</font>\";\r\n");
	templateBuilder.Append("				return;\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("			ajaxRead(\"tools/ajax.aspx?t=checkusername&username=\" + escape(username), \"showcheckresult(obj,'\" + username + \"');\");\r\n");
	templateBuilder.Append("		}\r\n");
	templateBuilder.Append("		function showcheckresult(obj, username)\r\n");
	templateBuilder.Append("		{\r\n");
	templateBuilder.Append("			var res = obj.getElementsByTagName('result');\r\n");
	templateBuilder.Append("			var resContainer = document.getElementById(\"checkresult\");\r\n");
	templateBuilder.Append("			var result = \"\";\r\n");
	templateBuilder.Append("			if (res[0] != null && res[0] != undefined)\r\n");
	templateBuilder.Append("			{\r\n");
	templateBuilder.Append("				if (res[0].childNodes.length > 1) {\r\n");
	templateBuilder.Append("					result = res[0].childNodes[1].nodeValue;\r\n");
	templateBuilder.Append("				} else {\r\n");
	templateBuilder.Append("					result = res[0].firstChild.nodeValue;    		\r\n");
	templateBuilder.Append("				}\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("			if (result == \"1\")\r\n");
	templateBuilder.Append("			{\r\n");
	templateBuilder.Append("				resContainer.innerHTML = \"<font color='#009900'>对不起，您输入的用户名 \\\"\" + htmlEncode(username, true, 4) + \"\\\" 已经被他人使用或被禁用，请选择其他名字后再试。</font>\";\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("			else\r\n");
	templateBuilder.Append("			{\r\n");
	templateBuilder.Append("				resContainer.innerHTML = profile_username_pass;\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("		}\r\n");
	templateBuilder.Append("		function checkSetting()\r\n");
	templateBuilder.Append("		{\r\n");
	templateBuilder.Append("			if ($('receiveuser').checked)\r\n");
	templateBuilder.Append("			{\r\n");
	templateBuilder.Append("				$('showhint').disabled = false;\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("			else\r\n");
	templateBuilder.Append("			{			\r\n");
	templateBuilder.Append("				$('showhint').checked = false;\r\n");
	templateBuilder.Append("				$('showhint').disabled = true;\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("		}\r\n");
	templateBuilder.Append("</" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"templates/" + templatepath.ToString() + "/ajax.js\"></" + "script>\r\n");
	templateBuilder.Append("			 <strong id=\"showmsg\"></strong>&nbsp;\r\n");
	templateBuilder.Append("		</td>\r\n");
	templateBuilder.Append("	</tr>\r\n");
	templateBuilder.Append("	</tbody>\r\n");
	templateBuilder.Append("	<tbody>\r\n");
	templateBuilder.Append("	<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\"><span>重复输入密码:</span></th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\"><input name=\"password2\" type=\"password\" id=\"password2\" size=\"20\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" /></td>\r\n");
	templateBuilder.Append("	</tr>\r\n");
	templateBuilder.Append("	</tbody>\r\n");
	templateBuilder.Append("	<tbody>\r\n");
	templateBuilder.Append("	<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\"><span>Email:</span></th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\"><input name=\"email\" type=\"text\" id=\"email\" size=\"30\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" /></td>\r\n");
	templateBuilder.Append("	</tr>\r\n");
	templateBuilder.Append("	</tbody>\r\n");

	if (config.Realnamesystem==1)
	{


	templateBuilder.Append("<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\"><span>真实姓名:</span></th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("						<input name=\"realname\" type=\"text\" id=\"realname\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"10\" />\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("</tbody>\r\n");
	templateBuilder.Append("<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\"><span>身份证号码:</span></th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("					<input name=\"idcard\" type=\"text\" id=\"idcard\" size=\"20\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" />\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("</tbody>\r\n");
	templateBuilder.Append("<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\"><span>移动电话号码:</span></th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("					<input name=\"mobile\" type=\"text\" id=\"mobile\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"20\" />\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("</tbody>\r\n");
	templateBuilder.Append("<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\"><span>固定电话号码:</span></th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("					<input name=\"phone\" type=\"text\" id=\"phone\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"20\" />\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("</tbody>\r\n");



	}	//end if


	if (isseccode)
	{

	templateBuilder.Append("	<tbody>\r\n");
	templateBuilder.Append("	<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\"><span>验证码:</span></th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");

	templateBuilder.Append("<!-- onkeydown=\"return (event.keyCode ? event.keyCode : event.which ? event.which : event.charCode) != 13\"-->\r\n");
	templateBuilder.Append("<input size=\"10\"  style=\"width:50px;\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" onkeyup=\"changevcode(this.form, this.value);\" />\r\n");
	templateBuilder.Append("&nbsp;\r\n");
	templateBuilder.Append("<img src=\"tools/VerifyImagePage.aspx?time=" + Processtime.ToString() + "\" class=\"cursor\" id=\"vcodeimg\"  width=\"90\" height=\"50\" onclick=\"this.src='tools/VerifyImagePage.aspx?id=" + olid.ToString() + "&time=' + Math.random();\" />\r\n");
	templateBuilder.Append("<input name=\"reloadvcade\" type=\"button\" class=\"colorblue\" id=\"reloadvcade\" value=\"刷新验证码\"  onclick=\"document.getElementById('vcodeimg').src='tools/VerifyImagePage.aspx?time=' + Math.random();\" tabindex=\"-1\"  style=\"color:#99cc00; width:75px;\" />\r\n");
	templateBuilder.Append("<script type=\"text/javascript\">\r\n");
	templateBuilder.Append("	$('vcodeimg').src='tools/VerifyImagePage.aspx?time=' + Math.random();\r\n");
	templateBuilder.Append("	//document.getElementById('vcode').value = \"\";\r\n");
	templateBuilder.Append("	function changevcode(form, value)\r\n");
	templateBuilder.Append("	{\r\n");
	templateBuilder.Append("		if (!$('vcode'))\r\n");
	templateBuilder.Append("		{\r\n");
	templateBuilder.Append("			var vcode = document.createElement('input');\r\n");
	templateBuilder.Append("			vcode.id = 'vcode';\r\n");
	templateBuilder.Append("			vcode.name = 'vcode';\r\n");
	templateBuilder.Append("			vcode.type = 'hidden';\r\n");
	templateBuilder.Append("			vcode.value = value;\r\n");
	templateBuilder.Append("			form.appendChild(vcode);\r\n");
	templateBuilder.Append("		}\r\n");
	templateBuilder.Append("		else\r\n");
	templateBuilder.Append("		{\r\n");
	templateBuilder.Append("			$('vcode').value = value;\r\n");
	templateBuilder.Append("		}\r\n");
	templateBuilder.Append("	}\r\n");
	templateBuilder.Append("</" + "script>\r\n");


	templateBuilder.Append("</td>\r\n");
	templateBuilder.Append("	</tr>\r\n");
	templateBuilder.Append("	</tbody>\r\n");

	}	//end if

	templateBuilder.Append("	<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("			<td colspan=\"2\" class=\"formarea\">\r\n");
	templateBuilder.Append("						<input name=\"submit\" type=\"submit\" class=\"sbutton\" value=\"创建用户\"/>  <input type=\"button\" class=\"sbutton\" onclick=\"javascript:window.location.replace('./index.aspx')\" value=\"取消\"/>\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("	</tbody>\r\n");
	templateBuilder.Append("	</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");

	if (config.Regadvance==1)
	{

	templateBuilder.Append("<div class=\"ntforumbox\">\r\n");
	templateBuilder.Append("	<div class=\"titlebar\">\r\n");
	templateBuilder.Append("		<span class=\"open\">\r\n");
	templateBuilder.Append("			<a href=\"###\" onclick=\"toggle_collapse('regoptions');\"><img id= \"regoptions_img\" src=\"templates/" + templatepath.ToString() + "/images/open_yes.gif\" alt=\"展开\" /></a>\r\n");
	templateBuilder.Append("		</span>\r\n");
	templateBuilder.Append("		<h3>填写可选项</h3>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div id=\"regoptions\" style=\"display:none;\" class=\"forumform\">\r\n");
	templateBuilder.Append("	<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\r\n");
	templateBuilder.Append("		<thead>\r\n");
	templateBuilder.Append("		<tr>\r\n");
	templateBuilder.Append("			<td class=\"navformcommend\"  colspan=\"2\">找回密码问题</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</thead>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("			<th class=\"formlabel\">问题:</th>\r\n");
	templateBuilder.Append("			<td class=\"formbody\">\r\n");
	templateBuilder.Append("				 <select name=\"question\" id=\"question\">\r\n");
	templateBuilder.Append("				  <option value=\"0\" selected=\"selected\">无</option>\r\n");
	templateBuilder.Append("				  <option value=\"1\">母亲的名字</option>\r\n");
	templateBuilder.Append("				  <option value=\"2\">爷爷的名字</option>\r\n");
	templateBuilder.Append("				  <option value=\"3\">父亲出生的城市</option>\r\n");
	templateBuilder.Append("				  <option value=\"4\">您其中一位老师的名字</option>\r\n");
	templateBuilder.Append("				  <option value=\"5\">您个人计算机的型号</option>\r\n");
	templateBuilder.Append("				  <option value=\"6\">您最喜欢的餐馆名称</option>\r\n");
	templateBuilder.Append("				  <option value=\"7\">驾驶执照的最后四位数字</option>\r\n");
	templateBuilder.Append("				</select>\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">答案:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("					 <input name=\"answer\" type=\"text\" id=\"answer\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"30\" />\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr>\r\n");
	templateBuilder.Append("			<td class=\"navformcommend\"  colspan=\"2\">个人信息</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	if (config.Realnamesystem==0)
	{


	templateBuilder.Append("<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\"><span>真实姓名:</span></th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("						<input name=\"realname\" type=\"text\" id=\"realname\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"10\" />\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("</tbody>\r\n");
	templateBuilder.Append("<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\"><span>身份证号码:</span></th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("					<input name=\"idcard\" type=\"text\" id=\"idcard\" size=\"20\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" />\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("</tbody>\r\n");
	templateBuilder.Append("<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\"><span>移动电话号码:</span></th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("					<input name=\"mobile\" type=\"text\" id=\"mobile\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"20\" />\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("</tbody>\r\n");
	templateBuilder.Append("<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\"><span>固定电话号码:</span></th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("					<input name=\"phone\" type=\"text\" id=\"phone\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"20\" />\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("</tbody>\r\n");



	}	//end if

	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">性别:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("						<input type=\"radio\" name=\"gender\" value=\"1\" style=\"InPutRadio\"/>\r\n");
	templateBuilder.Append("						男\r\n");
	templateBuilder.Append("						<input type=\"radio\" name=\"gender\" value=\"2\"  style=\"InPutRadio\"/>\r\n");
	templateBuilder.Append("						女\r\n");
	templateBuilder.Append("						<input name=\"gender\" type=\"radio\" value=\"0\" checked=\"checked\"  style=\"InPutRadio\"/>\r\n");
	templateBuilder.Append("						保密\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">昵称:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("					<input name=\"nickname\" type=\"text\" id=\"nickname\" size=\"20\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" />\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">生日:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("					<input name=\"bday_y\" type=\"text\" id=\"bday_y\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"4\" maxlength=\"4\" />\r\n");
	templateBuilder.Append("					年\r\n");
	templateBuilder.Append("					<input name=\"bday_m\" type=\"text\" id=\"bday_m\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"2\"  maxlength=\"2\"/>\r\n");
	templateBuilder.Append("					月\r\n");
	templateBuilder.Append("					<input name=\"bday_d\" type=\"text\" id=\"bday_d\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"2\"  maxlength=\"2\"/>\r\n");
	templateBuilder.Append("					日\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">来自:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("							<input name=\"location\" type=\"text\" id=\"location\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"20\" />\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">MSN Messenger:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("							<input name=\"msn\" type=\"text\" id=\"msn\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"30\" />\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">Yahoo Messenger:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("							<input name=\"yahoo\" type=\"text\" id=\"yahoo\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"30\" />\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">Skype:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("							<input name=\"skype\" type=\"text\" id=\"skype\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"30\" />\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">ICQ:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("							<input name=\"icq\" type=\"text\" id=\"icq\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"12\" />\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">QQ:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("						<input name=\"qq\" type=\"text\" id=\"qq\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"12\" />\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">主页:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("						<input name=\"homepage\" type=\"text\" id=\"homepage\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" size=\"30\" />\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">自我介绍:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("							<textarea name=\"bio\" cols=\"50\" rows=\"6\" id=\"bio\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\"  style=\"height:95px;width:85%;\"></textarea>\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr>\r\n");
	templateBuilder.Append("			<td class=\"navformcommend\" colspan=\"2\">论坛使用喜好设置:</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">风格:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("							<select name=\"templateid\" id=\"templateid\" >\r\n");
	templateBuilder.Append("							  <option value=\"0\" selected>默认</option>\r\n");

	int template__loop__id=0;
	foreach(DataRow template in templatelist.Rows)
	{
		template__loop__id++;

	templateBuilder.Append("								<option value=\"" + template["templateid"].ToString().Trim() + "\">" + template["name"].ToString().Trim() + "</option>\r\n");

	}	//end loop

	templateBuilder.Append("							</select>\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">每页主题数:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("							<select name=\"tpp\" id=\"tpp\">\r\n");
	templateBuilder.Append("							  <option value=\"0\" selected=\"selected\">默认</option>\r\n");
	templateBuilder.Append("							  <option value=\"10\">10</option>\r\n");
	templateBuilder.Append("							  <option value=\"15\">15</option>\r\n");
	templateBuilder.Append("							  <option value=\"25\">25</option>\r\n");
	templateBuilder.Append("							</select>\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">每页帖子数:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("							<select name=\"ppp\" id=\"ppp\">\r\n");
	templateBuilder.Append("							  <option value=\"0\" selected=\"selected\">默认</option>\r\n");
	templateBuilder.Append("							  <option value=\"10\">10</option>\r\n");
	templateBuilder.Append("							  <option value=\"15\">15</option>\r\n");
	templateBuilder.Append("							  <option value=\"20\">20</option>\r\n");
	templateBuilder.Append("							</select>\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">是否提示短消息:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("							<input name=\"newpm\" type=\"radio\" value=\"radiobutton\" checked=\"checked\"  style=\"InPutRadio\"/>\r\n");
	templateBuilder.Append("								是\r\n");
	templateBuilder.Append("							<input type=\"radio\" name=\"newpm\" value=\"radiobutton\"  style=\"InPutRadio\"/>\r\n");
	templateBuilder.Append("								否\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">短消息铃声:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("							<select name=\"pmsound\" id=\"pmsound\">\r\n");
	templateBuilder.Append("							  <option value=\"1\" selected=\"selected\">默认</option>							  \r\n");
	templateBuilder.Append("							  <option value=\"1\">提示音1</option>							  \r\n");
	templateBuilder.Append("							  <option value=\"2\">提示音2</option>							  \r\n");
	templateBuilder.Append("							  <option value=\"3\">提示音3</option>		\r\n");
	templateBuilder.Append("							  <option value=\"4\">提示音4</option>		\r\n");
	templateBuilder.Append("							  <option value=\"5\">提示音5</option>							  \r\n");
	templateBuilder.Append("							  <option value=\"0\">无</option>\r\n");
	templateBuilder.Append("							</select>\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">是否显示Email:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("							<input name=\"showemail\" type=\"radio\" value=\"1\" checked=\"checked\"  style=\"InPutRadio\"/>\r\n");
	templateBuilder.Append("								是\r\n");
	templateBuilder.Append("							<input type=\"radio\" name=\"showemail\" value=\"0\"  style=\"InPutRadio\"/>\r\n");
	templateBuilder.Append("								否\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">消息接收设置:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("							<input id=\"receiveuser\" onclick=\"checkSetting();\" type=\"checkbox\" name=\"receivesetting\" value=\"2\" checked=\"checked\" />接收用户短消息\r\n");
	templateBuilder.Append("							<input id=\"showhint\" onclick=\"checkSetting();\" type=\"checkbox\" name=\"receivesetting\" value=\"4\" checked=\"checked\" />显示短消息提示框\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">是否隐身:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("							<input type=\"radio\" name=\"invisible\" value=\"1\"  style=\"InPutRadio\"/>\r\n");
	templateBuilder.Append("								是\r\n");
	templateBuilder.Append("							<input name=\"invisible\" type=\"radio\" value=\"0\" checked=\"checked\"  style=\"InPutRadio\"/>\r\n");
	templateBuilder.Append("								否\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>	\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">签名:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">\r\n");
	templateBuilder.Append("							<textarea name=\"signature\" cols=\"50\" rows=\"6\" id=\"signature\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\"  style=\"height:95px;width:85%;\"></textarea>\r\n");
	templateBuilder.Append("				  <input name=\"sigstatus\" type=\"checkbox\" id=\"sigstatus\" value=\"1\" checked=\"checked\" />使用签名\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("			<td colspan=\"2\" class=\"formarea\">\r\n");
	templateBuilder.Append("					<input name=\"submit\" type=\"submit\" class=\"sbutton\" value=\"创建用户\"/>  <input type=\"button\" class=\"sbutton\" onclick=\"javascript:window.location.replace('./index.aspx')\" value=\"取消\"/></td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		</table>\r\n");
	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("</div>\r\n");

	}	//end if

	templateBuilder.Append("</form>\r\n");
	templateBuilder.Append("<!--reg end-->\r\n");
	templateBuilder.Append("</div>\r\n");


	if (footerad!="")
	{

	templateBuilder.Append("<!--底部广告显示-->\r\n");
	templateBuilder.Append("<div id=\"bottomad\">" + footerad.ToString() + "</div>\r\n");
	templateBuilder.Append("<!--底部广告结束-->\r\n");

	}	//end if

	templateBuilder.Append("<div id=\"forumfooter\">\r\n");
	templateBuilder.Append("	<div class=\"footercopy\">\r\n");
	templateBuilder.Append("	 	<p>\r\n");
	templateBuilder.Append("			版权所有 <a href=\"" + config.Weburl.ToString().Trim() + "\" target=\"_blank\">" + config.Webtitle.ToString().Trim() + "</a>&nbsp; " + config.Linktext.ToString().Trim() + "\r\n");

	if (config.Sitemapstatus==1)
	{

	templateBuilder.Append("&nbsp;<a href=\"tools/sitemap.aspx\" target=\"_blank\" title=\"百度论坛收录协议\">Sitemap</a>\r\n");

	}	//end if

	templateBuilder.Append("		</p>\r\n");
	templateBuilder.Append("		<span>Powered by <a href=\"http://nt.discuz.net\" target=\"_blank\" title=\"Discuz!NT 2.0 (.net Framework 1.1)\"><em>Discuz!NT</em></a>&nbsp;<em>2.0.1115 \r\n");

	if (config.Licensed==1)
	{

	templateBuilder.Append("				(<a href=\"\" onclick=\"this.href='http://nt.discuz.net/certificate/?host='+location.href.substring(0, location.href.lastIndexOf('/'))\" target=\"_blank\">Licensed</a>)\r\n");

	}	//end if

	templateBuilder.Append("				&nbsp;&nbsp; " + config.Forumcopyright.ToString().Trim() + "</em>\r\n");

	if (config.Debug!=0)
	{

	templateBuilder.Append("<br/>\r\n");
	templateBuilder.Append("				Processed in " + this.Processtime.ToString().Trim() + " second(s)\r\n");

	if (isguestcachepage==1)
	{

	templateBuilder.Append("						(Cached).\r\n");

	}
	else if (querycount>1)
	{

	templateBuilder.Append("				        , " + querycount.ToString() + " queries.\r\n");

	}
	else
	{

	templateBuilder.Append("				        , " + querycount.ToString() + " query.\r\n");

	}	//end if


	}	//end if

	templateBuilder.Append("				" + config.Icp.ToString().Trim() + "\r\n");
	templateBuilder.Append("		 </span>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"footergoto\">\r\n");
	templateBuilder.Append("		<span><img src=\"templates/" + templatepath.ToString() + "/images/gototop2.gif\" alt=\"返顶部\" onclick=\"window.scrollTo(0,0)\" /></span>\r\n");

	if (config.Stylejump==1)
	{


	if (userid!=-1 || config.Guestcachepagetimeout<=0)
	{

	templateBuilder.Append("		<select onchange=\"if(this.options[this.selectedIndex].value != '') {window.location=('showtemplate.aspx?templateid='+this.options[this.selectedIndex].value) }\">\r\n");
	templateBuilder.Append("			<option selected>切换界面...</option>\r\n");
	templateBuilder.Append("			" + templatelistboxoptions.ToString() + "\r\n");
	templateBuilder.Append("		</select>\r\n");

	}	//end if


	}	//end if

	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div id=\"my_menu\" class=\"ntdropmenu\" style=\"display: none;\">\r\n");
	templateBuilder.Append("		<a href=\"mytopics.aspx\">我的主题</a>\r\n");
	templateBuilder.Append("		<a href=\"myposts.aspx\">我的帖子</a>\r\n");
	templateBuilder.Append("		<a href=\"search.aspx?posterid=" + userid.ToString() + "&amp;type=digest\">我的精华</a>\r\n");

	if (config.Enablespace==1)
	{

	templateBuilder.Append("		<a href=\"" + spaceurl.ToString() + "space/\">我的空间</a>\r\n");

	}	//end if


	if (config.Enablealbum==1)
	{

	templateBuilder.Append("		<a href=\"showalbumlist.aspx?uid=" + userid.ToString() + "\">我的相册</a>\r\n");

	}	//end if

	templateBuilder.Append("		<script type=\"text/javascript\" src=\"javascript/mymenu.js\"></" + "script>\r\n");
	templateBuilder.Append("</div>\r\n");



	}
	else
	{


	if (createuser!="")
	{


	if (page_err==0)
	{


	templateBuilder.Append("<div class=\"forumtrue\">\r\n");
	templateBuilder.Append("			<div class=\"navforumtrue\">" + msgbox_text.ToString() + "\r\n");

	if (msgbox_url!="")
	{

	templateBuilder.Append("					<p class=\"errorback\">\r\n");
	templateBuilder.Append("						<a href=\"" + msgbox_url.ToString() + "\">如果浏览器没有转向, 请点击这里.</a>\r\n");
	templateBuilder.Append("					</p>\r\n");

	}	//end if

	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("</div>\r\n");



	}
	else
	{


	templateBuilder.Append("<div class=\"ntforumbox\">\r\n");
	templateBuilder.Append("	<div class=\"titlebar\">\r\n");
	templateBuilder.Append("		<h3>出现了" + page_err.ToString() + "个错误</h3>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"forumerror\">\r\n");
	templateBuilder.Append("				" + msgbox_text.ToString() + "\r\n");
	templateBuilder.Append("				<p class=\"errorback\">\r\n");
	templateBuilder.Append("						<script language=\"javascript\">\r\n");
	templateBuilder.Append("							if(" + msgbox_showbacklink.ToString() + ")\r\n");
	templateBuilder.Append("							{\r\n");
	templateBuilder.Append("								document.write(\"<a href=\\\"" + msgbox_backlink.ToString() + "\\\">返回上一步</a> &nbsp; &nbsp;|&nbsp; &nbsp  \");\r\n");
	templateBuilder.Append("							}\r\n");
	templateBuilder.Append("						</" + "script>\r\n");
	templateBuilder.Append("						<a href=\"forumindex.aspx\">论坛首页</a>\r\n");

	if (usergroupid==7)
	{

	templateBuilder.Append("						 &nbsp; &nbsp|&nbsp; &nbsp; <a href=\"register.aspx\">注册</a>\r\n");

	}	//end if

	templateBuilder.Append("				</p>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");



	}	//end if

	templateBuilder.Append("	</div>\r\n");

	}	//end if


	}	//end if


	}	//end if


	templateBuilder.Append("<div id=\"quicksearch_menu\" class=\"searchmenu\" style=\"display: none;\">\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='0';document.getElementById('quicksearch').innerHTML='帖子标题';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">帖子标题</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='2';document.getElementById('quicksearch').innerHTML='空间日志';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">空间日志</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='3';document.getElementById('quicksearch').innerHTML='相册标题';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">相册标题</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='8';document.getElementById('quicksearch').innerHTML='作&nbsp;&nbsp;者';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">作&nbsp;&nbsp;者</div>\r\n");
	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</body>\r\n");
	templateBuilder.Append("</html>\r\n");



	Response.Write(templateBuilder.ToString());
}
</script>
